Skip to main content
POST
/
v1
/
banking
/
customer
/
{customerId}
/
accounts
/
payments
/
plans
Get Instalment Plans For Specific Accounts
curl --request POST \
  --url https://api.provider.fiskil.com/v1/banking/customer/{customerId}/accounts/payments/plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "accountIds": [
      "account-1",
      "account-2"
    ]
  }
}
'
{
  "data": {
    "plans": [
      {
        "accountId": "019a08ff-90b2-71b3-9704-2f5dc6647e49",
        "planId": "019a0fe3-08f4-78f1-b2b5-f4eb0c6b4e52",
        "planReference": "ORDER-2025-00123",
        "merchantName": "Coastal Running Co.",
        "merchantCategoryCode": "5941",
        "planNickname": "New running shoes",
        "creationDate": "2025-01-15T00:00:00.000Z",
        "amount": "240.00",
        "planCurrency": "AUD",
        "planCharge": "0.00",
        "duration": "P6W",
        "instalmentInterval": "P2W",
        "schedule": [
          {
            "amountDue": "60.00",
            "dueDate": "2025-01-15T00:00:00.000Z",
            "isPaid": true
          },
          {
            "amountDue": "60.00",
            "dueDate": "2025-01-29T00:00:00.000Z",
            "isPaid": true
          },
          {
            "amountDue": "60.00",
            "dueDate": "2025-02-12T00:00:00.000Z",
            "isPaid": false
          },
          {
            "amountDue": "60.00",
            "dueDate": "2025-02-26T00:00:00.000Z",
            "isPaid": false
          }
        ]
      }
    ]
  },
  "links": {
    "first": "page=1&page-size=25&oldest-date=2023-04-24",
    "last": "page=4&page-size=25&oldest-date=2023-04-24",
    "next": "page=3&page-size=25&oldest-date=2023-04-24",
    "prev": "page=1&page-size=25&oldest-date=2023-04-24"
  },
  "meta": {
    "totalRecords": 1,
    "totalPages": 1
  }
}

Authorizations

Authorization
string
header
required

The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header. You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil Console. To verify the JWT you must:

  • Verify the signature
  • Ensure the token has not expired by checking the exp claim
  • The sub and iss claims are your data provider subdomain
  • The aud claim is the URI of the resource being requested (excluding any query parameters)
  • The jti value is unique For further detail on security and authentication refer to our Authentication documentation

Path Parameters

customerId
string
required

Unique ID of a customer. This ID must not change for the lifecycle of the customer

Query Parameters

plan-status
enum<string>
default:ACTIVE

Allows for the filtering of plans based on their schedule status:

  • ACTIVE requests plans where one or more scheduled instalments have isPaid equal to false.
  • INACTIVE requests plans where all scheduled instalments have isPaid equal to true.
  • ALL requests all ACTIVE and INACTIVE plans.
Available options:
ACTIVE,
INACTIVE,
ALL
page
integer

Page of results to request (standard pagination)

page-size
integer

Page size to request. Default is 25 (standard pagination)

Body

application/json

Request payload containing list of specific Accounts to obtain data for

data
object
required

Response

List of instalment plans for the accounts queried in request body

data
object
required

URL Query parameters to obtain different pages of the response. Fiskil will combine these with the rest of the request URL to build full link URLs in the final response.

Example:
{
"first": "page=1&page-size=25&oldest-date=2023-04-24",
"last": "page=4&page-size=25&oldest-date=2023-04-24",
"next": "page=3&page-size=25&oldest-date=2023-04-24",
"prev": "page=1&page-size=25&oldest-date=2023-04-24"
}
meta
object
required
Example:
{ "totalRecords": 150, "totalPages": 6 }